#pragma once
#include "tree_basic.h"
#include "symbol_table.h"
char* get_dim_name(char* array_name, int dim_number);
char* get_array_while_name(char* array_name);
char* get_array_while_var(char* array_name);
int count_exprs(node* exprs);
int count_ids(node* ids);
node* flatten_arrexpr(node* arrexpr, node* prev, node* next, node** tail);
node* get_dims_expr(struct st_entry_arr* arr_ent);